GRDREFORMAT(1)

NAME
grdreformat - Converting between different grdfile formats.

SYNOPSIS
grdreformat ingrdfile[=id[/scale/offset[/NaNvalue]]] outgrdfile[=id[/scale/offset[/NaNvalue]]]
 [ -N ] [ -Rwest/east/south/north[r] ] [ -V ]

DESCRIPTION
grdreformat reads a grdfile in one format and writes it out using another format. As an option the user may select a subset of the data to be written and to specify scaling, translation, and NaN-value.

ingrdfile
    The grdfile to be read. Append format =id number if not a standard GMT netCDF-based grdfile. If id is set, you may optionally append scale and offset to scale the data and then add an offset. If scale and offset are supplied you may also append a value that represent 'not-a-number' (for floating-point grids this is unnecessary since the IEEE NaN is used; however short integers need a value which means no data available.)

outgrdfile
    The grdfile to be written. Append format =id number if not a standard GMT netCDF-based grdfile. If id is set, you may optionally append scale and offset to scale the data and then add an offset. If scale and offset are supplied you may also append a value that represent 'not-a-number' (for floating-point grids this is unnecessary since the IEEE NaN is used; however short integers need a value which means no data available.) For format =id > 0 the size of the GMT grdheader block is hsize = 896 bytes, and the total size of the file is hsize + nx * ny * item_size, where item_size is the size in bytes of each element (1, 2, 4). Bit grids are stored using 4-byte integers, each holding 32 bits, so for these files the size equation is modified by using ceil (nx / 32) * 4 instead of nx. For header and grid details, see Appendix B.

OPTIONS

-N  Suppress the writing of the GMT header structure. This is useful when you want to write a native grid to be used by grdraster. It only applies to native grids and is skipped for netCDF output.

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude). For calendar time coordinates you may either give relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be as indicated (however, input/output and plotting formats are flexible).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To create a 4-byte raw floating point grid from the netCDF file data.grd:

grdreformat data.grd ras_data.b4=1 -V

To make a 2-byte short integer file, scale it by 10, subtract 32000, setting NaNs to -9999, do

grdreformat values.grd shorts.i2=2/10/-32000/-9999 -V

To create a Sun standard 8-bit rasterfile for a subset of the data file image.grd, assuming the range in image.grd is 0-1 and we need 0-255, run

grdreformat image.grd -R-60/-40/-40/-30 image.ras8=3/255/0 -V

To convert etopo2.grd to etopo2.i2 that can be used by grdraster, try

grdreformat etopo2.grd etopo2.i2=2 -N -V

SEE ALSO
gmt(1), grdmath(1)